Get supported medication coding systems
cURL
curl --request GET \ --url https://sdp.suki-stage.com/api/v1/info/orders/coding-systems \ --header 'sdp_suki_token: <sdp_suki_token>'
{ "coding_systems": [ { "code": "RXCUI" } ] }
import requests url = "https://sdp.suki.ai/api/v1/info/orders/coding-systems" headers = { "sdp_suki_token": "<sdp_suki_token>" } response = requests.get(url, headers=headers) if response.status_code == 200: coding_systems_data = response.json() print("Supported Medication Coding Systems:") for item in coding_systems_data.get("coding_systems", []): print(f" {item.get('code')}") else: print(f"Failed to get medication coding systems: {response.status_code}") print(response.json())
const response = await fetch('https://sdp.suki.ai/api/v1/info/orders/coding-systems', { headers: { 'sdp_suki_token': '<sdp_suki_token>' } }); if (response.ok) { const codingSystemsData = await response.json(); console.log('Supported Medication Coding Systems:'); codingSystemsData.coding_systems?.forEach((item: any) => { console.log(` ${item.code}`); }); } else { const error = await response.json(); console.error(`Failed to get medication coding systems: ${response.status}`, error); }
sdp_suki_token
Success Response
Response body for the /info/orders/coding-systems endpoint
Information about supported medication coding systems
Show child attributes
Suggestions